<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2000</year>
      <year>2013</year>
      <holder>Ericsson AB, All Rights Reserved</holder>
    </copyright>
    <legalnotice>
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
 
      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The Initial Developer of the Original Code is Ericsson AB.
    </legalnotice>

    <title>CosFileTransfer_Directory</title>
    <prepared></prepared>
    <docno></docno>
    <checked></checked>
    <date>2000-11-09</date>
    <rev>PA1</rev>
  </header>
  <module>CosFileTransfer_Directory</module>
  <modulesummary>This module implements the OMG CosFileTransfer::Directory interface.</modulesummary>
  <description>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosFileTransfer/include/*.hrl").</c></p>
    <p>This module also exports the functions described in:</p>
    <list type="bulleted">
      <item>
        <p><seealso marker="CosFileTransfer_File">CosFileTransfer_File</seealso></p>
      </item>
      <item>
        <p>CosPropertyService_PropertySetDef in the cosProperty application.</p>
      </item>
    </list>
  </description>
  <funcs>
    <func>
      <name>list(Directory, Max) -> Return</name>
      <fsummary>Return a list, of length <c>Max</c>or less, containing Object References representing files or directories contained within the target Directory and a <c>FileIterator</c>or a <c>NIL</c>object</fsummary>
      <type>
        <v>Directory = #objref</v>
        <v>Return = {ok, FileList, FileIterator}</v>
        <v>FileList = [File]</v>
        <v>File = FileIterator = #objref</v>
      </type>
      <desc>
        <p>This operation returns a list, of length <c>Max</c> or less, containing
          Object References representing files or directories contained within
          the target Directory. If the amount of objects found is less than <c>Max</c>
          the returned Iterator will be a <c>NIL</c> object.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

